### Enumeration

# Shell SnippetHook

#### Declaration

    enum Shell.SnippetHook

#### Description [src]

Temporary hack to work around Cogl not exporting CoglSnippetHook in the 1.0 API. Don’t use.

#### Members

`SHELL_SNIPPET_HOOK_VERTEX`

  No description available.

  - Value: `0`
  - Available since: 14
`SHELL_SNIPPET_HOOK_VERTEX_TRANSFORM`

  No description available.

  - Value: `1`
  - Available since: 14
`SHELL_SNIPPET_HOOK_FRAGMENT`

  No description available.

  - Value: `2048`
  - Available since: 14
`SHELL_SNIPPET_HOOK_TEXTURE_COORD_TRANSFORM`

  No description available.

  - Value: `4096`
  - Available since: 14
`SHELL_SNIPPET_HOOK_LAYER_FRAGMENT`

  No description available.

  - Value: `6144`
  - Available since: 14
`SHELL_SNIPPET_HOOK_TEXTURE_LOOKUP`

  No description available.

  - Value: `6145`
  - Available since: 14